/* 
 * File:   PDBFileOut.h
 * Author: tg
 *
 * Created on November 7, 2011, 4:45 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PDBFILEOUT_H
#define	PDBFILEOUT_H

#include <QtGui>

class PDBFileOut: public QWidget {
	Q_OBJECT
private:
    QLineEdit* fileEdit;
    QString   filename;
    QPushButton* browseButton;
    QString pdbFilter;

public:
    PDBFileOut(QWidget* parent = 0);
    ~PDBFileOut();
public slots:
    void nameChange(const QString& name);
    void fileBrowsing();
signals:
    void new_file(QString);
};

#endif	/* PDBFILEOUT_H */

