/* 
 * File:   ReadClustalAln.h
 * Author: tg
 *
 * Created on November 8, 2011, 7:12 PM
 *
 * mrtailor-gui: Qt-based GUI for the program "mrtailor"
 * Copyright (C) 2012, Tim Gruene (tg@shelx.uni-ac.gwdg.de)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef READCLUSTALALN_H
#define	READCLUSTALALN_H

#include "guiException.h"
#include <map>
#include <string>

class ReadClustalAln {
    private:
        std::map<std::string, std::string> sequences_;
public:
    ReadClustalAln(const char* filename) throw (guiException::Format());
    ~ReadClustalAln();

    std::map<std::string, std::string> sequences() const { return sequences_;}

};

#endif	/* READCLUSTALALN_H */

